• \[SOLVED\] installation issues


    I just tried installing Antergos on a new Toshiba Z30A, but Cnchi wouldn’t start.
    I also tried running it from the terminal, it says something like “using gtk2…” and exits.
    Finally, I started the console installer from tty2 (or tty1, can’t remember), I chose “no” to GPT and when I started gparted I saw 4 primary partitions (3 are for recovery, I guess). Maybe this is why Cnchi won’t start? Should I enable GPT instead?

  • I just tried installing Antergos on a new Toshiba Z30A, but Cnchi wouldn’t start.
    I also tried running it from the terminal, it says something like “using gtk2…” and exits.
    Finally, I started the console installer from tty2 (or tty1, can’t remember), I chose “no” to GPT and when I started gparted I saw 4 primary partitions (3 are for recovery, I guess). Maybe this is why Cnchi won’t start? Should I enable GPT instead?

  • [http://forum.antergos.com/viewtopic.php?f=5&t=2268#p10627][0]">viewtopic.php?f=5&t=2268#p10627

    [0]: <a href=

  • Since cnchi wasn’t working I looked into /tmp and found the following error message in cnchi.log:

    [2014-10-08 17:08:34] [automatic.py] ERROR: Can't import parted module! This installer won't work.  
    [2014-10-08 17:08:34] [cnchi.py] ERROR: Invalid flag provided.  
    Traceback (most recent call last):  
    File "/usr/share/cnchi/cnchi.py", line 58, in do\_activate  
    import mainwindow  
    File "/usr/share/cnchi/src/mainwindow.py", line 50, in <module\>  
    from installation import alongside as installation\_alongside  
    File "/usr/share/cnchi/src/installation/alongside.py", line 53, in <module\>  
    import parted3.partition\_module as pm  
    File "/usr/share/cnchi/src/parted3/partition\_module.py", line 33, in <module\>  
    import parted  
    File "/usr/lib/python3.4/site-packages/parted/\_\_init\_\_.py", line 61, in <module\>  
    from .partition import Partition  
    File "/usr/lib/python3.4/site-packages/parted/partition.py", line 261, in <module\>  
    partitionFlag[\_\_flag] = \_ped.partition\_flag\_get\_name(\_\_flag)  
    ValueError: Invalid flag provided.  
    [2014-10-08 17:08:34] [cnchi.py] ERROR: Can't create Cnchi's main window. Exiting...
    

    So I followed [this thread[/url:17ampghr] and used cnchi-dev

    It updates repos, upgrades git and perl-errors, clones cnchi from git, and then fails with the same error message.

    Since pyparted was not installed, I tried to install it but I get this message:

    :: Proceed with installation? [Y/n]   
    :: Retrieving packages ...  
    pyparted-3.10.0-1-any 74.0 KiB 308K/s 00:00 [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    (1/1) checking keys in keyring [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    (1/1) checking package integrity [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    error: pyparted: signature from "Antergos Build Server (Automated Package Build System) <[email protected]\>" is marginal trust  
    :: File /var/cache/pacman/pkg/pyparted-3.10.0-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).  
    Do you want to delete it? [Y/n]
    

    If I delete it and retry, I get the same error again.

    What should I do?]0

  • The keyring on the ISO needs to be updated so that the new pyparted package can be installed. Use this command:[command:2jgl0g6j]sudo pacman -Syy antergos-keyring
    sudo pacman-key --init
    sudo pacman-key --populate archlinux antergos
    sudo pacman -S pyparted[/command:2jgl0g6j] Let me know how it goes

    Cheers!

  • Ah sorry, I thought I was using the latest ISO but I had 2014.8.4. Using 8.7 everything works fine from GUI.

    (You can delete this thread)

Posts 6Views 4069
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.